post
/{tenantId}/v1/credit-reportsGenerate credit report
Requires Authentication
Credit Reports
Initiates a new credit report request
Path Parameters
| Name | Type | Description |
|---|---|---|
tenantIdrequired | string (uuid) | Tenant UUID |
Request Body
required
sessionIdstring
required
bureausarray
"equifax" | "experian" | "transunion"[]required
ipAddressstring
required
searchTypestring
required
titlestring
firstNamestring
required
middleNamestring
lastNamestring
required
dateOfBirthstring (date)
required
genderstring
mobileNumberstring
emailstring (email)
externalReferencestring
addressesarray
Address[]required
Address
testboolean
challengeOptionsChallengeOptions
statusstring
enum: "allow" | "block" | "challenge"urlstring
- Optional callback URL for verification. In production, specify your website URL.Responses
Credit report generation initiated
Response Bodyapplication/json
metaResponseMeta
requestobject
walletobject
dataobject
statusstring
challengeTypestring
creditReportIdstring
creditReportunknown
challengeobject
Code Examples
curl -X POST 'https://api-next.checkio.co.uk/{tenantId}/v1/credit-reports' \
-H 'Authorization: Bearer {token}' \
-H 'Content-Type: application/json' \
-d '{
"sessionId": "string",
"bureaus": [
"equifax"
],
"ipAddress": "string",
"searchType": "string",
"title": "string",
"firstName": "string",
"middleName": "string",
"lastName": "string",
"dateOfBirth": "2024-01-15",
"gender": "string",
"mobileNumber": "string",
"email": "user@example.com",
"externalReference": "string",
"addresses": [
{
"type": "string",
"ukAddress": {
"subBuildingName": "string",
"buildingName": "string",
"buildingNumber": "string",
"thoroughfare": "string",
"townOrCity": "string",
"district": "string",
"county": "string",
"country": "string",
"postcode": "string"
}
}
],
"test": true,
"challengeOptions": {
"status": "allow"
},
"url": "string"
}'